import{s as We,n as Xe,o as Ye}from"../chunks/scheduler.9bc65507.js";import{S as Ze,i as et,g as l,s,r as m,A as tt,h as o,f as t,c as n,j as $,u as i,x as E,k as v,y as d,a,v as f,d as c,t as u,w as p}from"../chunks/index.707bf1b6.js";import{D as _}from"../chunks/Docstring.17db21ae.js";import{H as ae}from"../chunks/Heading.342b1fa6.js";function rt(ze){let h,se,te,ne,C,le,P,Ve="This page lists all of Transformers general utility functions that are found in the file <code>utils.py</code>.",oe,T,qe="Most of those are only useful if you are studying the general code in the library.",me,L,ie,b,D,Te,J,He="Enum with more explicit error message for missing values.",de,y,M,Le,Q,Ue=`Possible values for the <code>padding</code> argument in <a href="/docs/transformers/main/en/model_doc/fastspeech2_conformer#transformers.FastSpeech2ConformerTokenizer.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for tab-completion in an
IDE.`,fe,x,I,De,W,je=`Possible values for the <code>return_tensors</code> argument in <a href="/docs/transformers/main/en/model_doc/fastspeech2_conformer#transformers.FastSpeech2ConformerTokenizer.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for
tab-completion in an IDE.`,ce,S,ue,k,z,pe,V,q,ge,H,U,$e,j,A,ve,B,F,_e,G,he,g,O,Me,X,Ae="Descriptor that mimics @property but caches output in member variable.",Ie,Y,Be="From tensorflow_datasets",Se,Z,Fe="Built-in in functools from Python 3.8.",be,K,ye,N,R,ke,ee,Ge="Module class that surfaces all objects but only performs associated imports when the objects are requested.",xe,re,Ne;return C=new ae({props:{title:"General Utilities",local:"general-utilities",headingTag:"h1"}}),L=new ae({props:{title:"Enums and namedtuples",local:"transformers.utils.ExplicitEnum",headingTag:"h2"}}),D=new _({props:{name:"class transformers.utils.ExplicitEnum",anchor:"transformers.utils.ExplicitEnum",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L469"}}),M=new _({props:{name:"class transformers.utils.PaddingStrategy",anchor:"transformers.utils.PaddingStrategy",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L481"}}),I=new _({props:{name:"class transformers.TensorType",anchor:"transformers.TensorType",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L492"}}),S=new ae({props:{title:"Special Decorators",local:"transformers.add_start_docstrings",headingTag:"h2"}}),z=new _({props:{name:"transformers.add_start_docstrings",anchor:"transformers.add_start_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L23"}}),q=new _({props:{name:"transformers.utils.add_start_docstrings_to_model_forward",anchor:"transformers.utils.add_start_docstrings_to_model_forward",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L31"}}),U=new _({props:{name:"transformers.add_end_docstrings",anchor:"transformers.add_end_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L53"}}),A=new _({props:{name:"transformers.utils.add_code_sample_docstrings",anchor:"transformers.utils.add_code_sample_docstrings",parameters:[{name:"*docstr",val:""},{name:"processor_class",val:" = None"},{name:"checkpoint",val:" = None"},{name:"output_type",val:" = None"},{name:"config_class",val:" = None"},{name:"mask",val:" = '[MASK]'"},{name:"qa_target_start_index",val:" = 14"},{name:"qa_target_end_index",val:" = 15"},{name:"model_cls",val:" = None"},{name:"modality",val:" = None"},{name:"expected_output",val:" = None"},{name:"expected_loss",val:" = None"},{name:"real_checkpoint",val:" = None"},{name:"revision",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L1064"}}),F=new _({props:{name:"transformers.utils.replace_return_docstrings",anchor:"transformers.utils.replace_return_docstrings",parameters:[{name:"output_type",val:" = None"},{name:"config_class",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L1162"}}),G=new ae({props:{title:"Special Properties",local:"transformers.utils.cached_property",headingTag:"h2"}}),O=new _({props:{name:"class transformers.utils.cached_property",anchor:"transformers.utils.cached_property",parameters:[{name:"fget",val:" = None"},{name:"fset",val:" = None"},{name:"fdel",val:" = None"},{name:"doc",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L38"}}),K=new ae({props:{title:"Other Utilities",local:"transformers.utils._LazyModule",headingTag:"h2"}}),R=new _({props:{name:"class transformers.utils._LazyModule",anchor:"transformers.utils._LazyModule",parameters:[{name:"name",val:""},{name:"module_file",val:""},{name:"import_structure",val:""},{name:"module_spec",val:" = None"},{name:"extra_objects",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/import_utils.py#L1334"}}),{c(){h=l("meta"),se=s(),te=l("p"),ne=s(),m(C.$$.fragment),le=s(),P=l("p"),P.innerHTML=Ve,oe=s(),T=l("p"),T.textContent=qe,me=s(),m(L.$$.fragment),ie=s(),b=l("div"),m(D.$$.fragment),Te=s(),J=l("p"),J.textContent=He,de=s(),y=l("div"),m(M.$$.fragment),Le=s(),Q=l("p"),Q.innerHTML=Ue,fe=s(),x=l("div"),m(I.$$.fragment),De=s(),W=l("p"),W.innerHTML=je,ce=s(),m(S.$$.fragment),ue=s(),k=l("div"),m(z.$$.fragment),pe=s(),V=l("div"),m(q.$$.fragment),ge=s(),H=l("div"),m(U.$$.fragment),$e=s(),j=l("div"),m(A.$$.fragment),ve=s(),B=l("div"),m(F.$$.fragment),_e=s(),m(G.$$.fragment),he=s(),g=l("div"),m(O.$$.fragment),Me=s(),X=l("p"),X.textContent=Ae,Ie=s(),Y=l("p"),Y.textContent=Be,Se=s(),Z=l("p"),Z.textContent=Fe,be=s(),m(K.$$.fragment),ye=s(),N=l("div"),m(R.$$.fragment),ke=s(),ee=l("p"),ee.textContent=Ge,xe=s(),re=l("p"),this.h()},l(e){const r=tt("svelte-u9bgzb",document.head);h=o(r,"META",{name:!0,content:!0}),r.forEach(t),se=n(e),te=o(e,"P",{}),$(te).forEach(t),ne=n(e),i(C.$$.fragment,e),le=n(e),P=o(e,"P",{"data-svelte-h":!0}),E(P)!=="svelte-1d4d2gz"&&(P.innerHTML=Ve),oe=n(e),T=o(e,"P",{"data-svelte-h":!0}),E(T)!=="svelte-11r0tff"&&(T.textContent=qe),me=n(e),i(L.$$.fragment,e),ie=n(e),b=o(e,"DIV",{class:!0});var Ee=$(b);i(D.$$.fragment,Ee),Te=n(Ee),J=o(Ee,"P",{"data-svelte-h":!0}),E(J)!=="svelte-u4x3ci"&&(J.textContent=He),Ee.forEach(t),de=n(e),y=o(e,"DIV",{class:!0});var we=$(y);i(M.$$.fragment,we),Le=n(we),Q=o(we,"P",{"data-svelte-h":!0}),E(Q)!=="svelte-18qcxkv"&&(Q.innerHTML=Ue),we.forEach(t),fe=n(e),x=o(e,"DIV",{class:!0});var Ce=$(x);i(I.$$.fragment,Ce),De=n(Ce),W=o(Ce,"P",{"data-svelte-h":!0}),E(W)!=="svelte-m0f3iv"&&(W.innerHTML=je),Ce.forEach(t),ce=n(e),i(S.$$.fragment,e),ue=n(e),k=o(e,"DIV",{class:!0});var Oe=$(k);i(z.$$.fragment,Oe),Oe.forEach(t),pe=n(e),V=o(e,"DIV",{class:!0});var Ke=$(V);i(q.$$.fragment,Ke),Ke.forEach(t),ge=n(e),H=o(e,"DIV",{class:!0});var Re=$(H);i(U.$$.fragment,Re),Re.forEach(t),$e=n(e),j=o(e,"DIV",{class:!0});var Je=$(j);i(A.$$.fragment,Je),Je.forEach(t),ve=n(e),B=o(e,"DIV",{class:!0});var Qe=$(B);i(F.$$.fragment,Qe),Qe.forEach(t),_e=n(e),i(G.$$.fragment,e),he=n(e),g=o(e,"DIV",{class:!0});var w=$(g);i(O.$$.fragment,w),Me=n(w),X=o(w,"P",{"data-svelte-h":!0}),E(X)!=="svelte-4cuoeh"&&(X.textContent=Ae),Ie=n(w),Y=o(w,"P",{"data-svelte-h":!0}),E(Y)!=="svelte-1mfkm3t"&&(Y.textContent=Be),Se=n(w),Z=o(w,"P",{"data-svelte-h":!0}),E(Z)!=="svelte-1x2w0p5"&&(Z.textContent=Fe),w.forEach(t),be=n(e),i(K.$$.fragment,e),ye=n(e),N=o(e,"DIV",{class:!0});var Pe=$(N);i(R.$$.fragment,Pe),ke=n(Pe),ee=o(Pe,"P",{"data-svelte-h":!0}),E(ee)!=="svelte-tjmjug"&&(ee.textContent=Ge),Pe.forEach(t),xe=n(e),re=o(e,"P",{}),$(re).forEach(t),this.h()},h(){v(h,"name","hf:doc:metadata"),v(h,"content",at),v(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){d(document.head,h),a(e,se,r),a(e,te,r),a(e,ne,r),f(C,e,r),a(e,le,r),a(e,P,r),a(e,oe,r),a(e,T,r),a(e,me,r),f(L,e,r),a(e,ie,r),a(e,b,r),f(D,b,null),d(b,Te),d(b,J),a(e,de,r),a(e,y,r),f(M,y,null),d(y,Le),d(y,Q),a(e,fe,r),a(e,x,r),f(I,x,null),d(x,De),d(x,W),a(e,ce,r),f(S,e,r),a(e,ue,r),a(e,k,r),f(z,k,null),a(e,pe,r),a(e,V,r),f(q,V,null),a(e,ge,r),a(e,H,r),f(U,H,null),a(e,$e,r),a(e,j,r),f(A,j,null),a(e,ve,r),a(e,B,r),f(F,B,null),a(e,_e,r),f(G,e,r),a(e,he,r),a(e,g,r),f(O,g,null),d(g,Me),d(g,X),d(g,Ie),d(g,Y),d(g,Se),d(g,Z),a(e,be,r),f(K,e,r),a(e,ye,r),a(e,N,r),f(R,N,null),d(N,ke),d(N,ee),a(e,xe,r),a(e,re,r),Ne=!0},p:Xe,i(e){Ne||(c(C.$$.fragment,e),c(L.$$.fragment,e),c(D.$$.fragment,e),c(M.$$.fragment,e),c(I.$$.fragment,e),c(S.$$.fragment,e),c(z.$$.fragment,e),c(q.$$.fragment,e),c(U.$$.fragment,e),c(A.$$.fragment,e),c(F.$$.fragment,e),c(G.$$.fragment,e),c(O.$$.fragment,e),c(K.$$.fragment,e),c(R.$$.fragment,e),Ne=!0)},o(e){u(C.$$.fragment,e),u(L.$$.fragment,e),u(D.$$.fragment,e),u(M.$$.fragment,e),u(I.$$.fragment,e),u(S.$$.fragment,e),u(z.$$.fragment,e),u(q.$$.fragment,e),u(U.$$.fragment,e),u(A.$$.fragment,e),u(F.$$.fragment,e),u(G.$$.fragment,e),u(O.$$.fragment,e),u(K.$$.fragment,e),u(R.$$.fragment,e),Ne=!1},d(e){e&&(t(se),t(te),t(ne),t(le),t(P),t(oe),t(T),t(me),t(ie),t(b),t(de),t(y),t(fe),t(x),t(ce),t(ue),t(k),t(pe),t(V),t(ge),t(H),t($e),t(j),t(ve),t(B),t(_e),t(he),t(g),t(be),t(ye),t(N),t(xe),t(re)),t(h),p(C,e),p(L,e),p(D),p(M),p(I),p(S,e),p(z),p(q),p(U),p(A),p(F),p(G,e),p(O),p(K,e),p(R)}}}const at='{"title":"General Utilities","local":"general-utilities","sections":[{"title":"Enums and namedtuples","local":"transformers.utils.ExplicitEnum","sections":[],"depth":2},{"title":"Special Decorators","local":"transformers.add_start_docstrings","sections":[],"depth":2},{"title":"Special Properties","local":"transformers.utils.cached_property","sections":[],"depth":2},{"title":"Other Utilities","local":"transformers.utils._LazyModule","sections":[],"depth":2}],"depth":1}';function st(ze){return Ye(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class it extends Ze{constructor(h){super(),et(this,h,st,rt,We,{})}}export{it as component};
